@echo off
title 神学校中文补丁 V1.0
rem 2013.4.25 by kid

if not exist Data\sin_cgev.dat (
	echo 未找到文件!请放到exe所在的同目录下!
	pause
	exit
)

echo 备份原文件
if not exist Bootup.dat.org (
	ren Bootup.dat Bootup.dat.org
)
if not exist 神学校.exe.org (
	ren 神学校.exe 神学校.exe.org
)
if not exist Data\sin_cgev.dat.org (
	ren Data\sin_cgev.dat sin_cgev.dat.org
)
if not exist Data\sin_sysd.dat.org (
	ren Data\sin_sysd.dat sin_sysd.dat.org
)
if not exist Data\sin_text.dat.org (
	ren Data\sin_text.dat sin_text.dat.org
)
if not exist Data\sin_md00.dat.org (
	ren Data\sin_md00.dat sin_md00.dat.org
)

echo Patch Data\sin_cgev.dat ...
VPatch.exe Data\sin_cgev.dat.org Data\sin_cgev.dat
echo Patch Data\sin_sysd.dat ...
VPatch.exe Data\sin_sysd.dat.org Data\sin_sysd.dat
echo Patch Data\sin_text.dat ...
VPatch.exe Data\sin_text.dat.org Data\sin_text.dat
echo Patch Bootup.dat ...
VPatch.exe Bootup.dat.org Bootup.dat
if exist Data\sin_md00.dat (
	del Data\sin_md00.dat
)
if exist Data\sin_md00.dat_cn (
	ren Data\sin_md00.dat_cn sin_md00.dat
)


echo 补丁应用成功！
del VPatch.exe
del patch_cn.bat

pause
